Technical Requirements

eCornell courses are designed to function in any modern standards-compliant web browser. These are the minimum supported system requirements for eCornell courses:

 

Systems

A computer capable of playing audio, running one of the following operating systems:

  • Microsoft Windows Vista, 7, 8, or 10
  • Apple Mac OS X 10.3 or later

A monitor with a resolution of at least 1024 by 768 pixels

Can I use my iPad / iOS device for my eCornell training? (The canvas app is not supported, and not all elements of our courses are mobile-ready at this time)

 

Browsers

Use the links below to determine which versions of each browser are supported. You must use one of these supported browsers.

The two most recent versions of any of the following browsers with JavaScript enabled are supported:

 

Plug-ins
Adobe Flash Player 17+.  If it’s not already installed, you can download a Flash Player for free.
Adobe Reader 9+.  If it’s not already installed, you can download Adobe Reader for free.

 

Internet Connection

A broadband Internet connection (cable modem, DSL, or LAN)

If your system is not on this list, or if you have any other technology questions, call our Help Desk at 1-800-801-0287 (+1-607-330-3200 from outside the United States) to see how we can support you.